%global realname blivet

Summary:  A python module for system storage configuration
Name: python-blivet
Version: 3.8.0
Release: 5%{?dist}
License: LGPLv2+
Url: https://storageapis.wordpress.com/projects/blivet
Source0: https://github.com/storaged-project/blivet/releases/download/blivet-%{version}/blivet-%{version}.tar.gz
Source1: https://github.com/storaged-project/blivet/releases/download/blivet-%{version}/blivet-%{version}-tests.tar.gz

Patch3000: 0001-remove-btrfs-plugin.patch

BuildArch: noarch

%description
The python-blivet package is a python module for examining and modifying storage 
configuration. The main thing that blivet offers is the ability to model a series 
of changes without necessarily commiting any of the changes to disk. 

%package -n %{realname}-data
Summary: Data for the %{realname} python module.

BuildRequires: make systemd

%description -n %{realname}-data
The %{realname}-data package provides data files required by the %{realname}
python module.

%package -n python3-%{realname}
Summary: A python3 package for examining and modifying storage configuration.
 
BuildRequires: gettext python3-devel python3-setuptools
Requires: python3 python3-six python3-gobject-base
Requires: lsof systemd-udev libselinux-python3
Requires: %{realname}-data = %{version}-%{release}
Requires: python3-pyudev parted python3-bytesize util-linux python3-pyparted python3-blockdev
Recommends: libblockdev-btrfs libblockdev-crypto libblockdev-dm
Recommends: libblockdev-loop libblockdev-lvm libblockdev-mdraid libblockdev-mpath libblockdev-swap
 
%description -n python3-%{realname}
The python3-%{realname} is a python3 package for examining and modifying storage
configuration.
 
%prep
%autosetup -n %{realname}-%{version} -N
%autosetup -n %{realname}-%{version} -b1 -p1
 
%build
make PYTHON=%{__python3}
 
%install
make PYTHON=%{__python3} DESTDIR=%{buildroot} install
 
%find_lang %{realname}
 
%files -n %{realname}-data -f %{realname}.lang
%{_sysconfdir}/dbus-1/system.d/*
%{_datadir}/dbus-1/system-services/*
%{_libexecdir}/*
%{_unitdir}/*
 
%files -n python3-%{realname}
%license COPYING
%doc README.md ChangeLog examples
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 28 2023 Shuo Wang <abushwang@tencent.com> - 3.8.0-2
- remove unsupported btrfs plugin

* Tue Jul 11 2023 Shuo Wang <abushwang@tencent.com> - 3.8.0-1
- update to 3.8.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.5.0-2
- Remove btrfs plugin

* Fri Sep 2 2022 Cheng Xin <denisecheng@tencent.com> - 3.5.0-1
- package init.
